Name:           perl-threads-lite
Version:        0.034
Release:        2%{?dist}
Summary:        Actor model threading for Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/threads-lite/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/threads-lite-%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(experimental) >= 0.003
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(feature)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable) >= 2.05
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module implements threads for perl. One crucial difference with
threads.pm threads is that the threads are disconnected, except by message
queues. It thus facilitates a message passing style of multi-threading.

%prep
%setup -q -n threads-lite-%{version}

%build
perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%ifnarch aarch64 ppc ppc64le
./Build test
%endif

%files
%doc Changes examples LICENSE README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/threads*
%{_mandir}/man3/*

%changelog
* Mon Aug 03 2015 Petr Pisar <ppisar@redhat.com> - 0.034-2
- Disable checks on aarch64 (bug #719874)

* Mon May 11 2015 Petr Pisar <ppisar@redhat.com> - 0.034-1
- 0.034 bump

* Wed Feb 11 2015 Karsten Hopp <karsten@redhat.com> 0.033-7
- disable checks on ppc64le, (rhbz#719874)

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.033-6
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.033-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.033-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.033-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 0.033-2
- Perl 5.18 rebuild

* Wed May 29 2013 Petr Pisar <ppisar@redhat.com> - 0.033-1
- 0.033 bump

* Wed Feb 20 2013 Petr Pisar <ppisar@redhat.com> - 0.032-1
- 0.032 bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.031-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.031-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Petr Pisar <ppisar@redhat.com> - 0.031-7
- Perl 5.16 rebuild
- Restore compatibility with perl 5.16, RT#77947

* Sat Feb 25 2012 Karsten Hopp <karsten@redhat.com> 0.031-6
- fix arch check

* Sat Feb 25 2012 Karsten Hopp <karsten@redhat.com> 0.031-5
- disable checks on ppc (#719874)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.031-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.031-3
- Perl mass rebuild

* Mon May 30 2011 Petr Pisar <ppisar@redhat.com> - 0.031-2
- Remove explicit defattr

* Mon May 30 2011 Petr Pisar <ppisar@redhat.com> - 0.031-1
- 0.031 bump

* Tue May 10 2011 Petr Pisar <ppisar@redhat.com> 0.030-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuildRoot stuff
